[language-server.rust-analyzer.config.check]
command = "clippy"

[language-server.rust-analyzer.config.cargo]
allFeatures = true

[language-server.rust-analyzer.buildScripts]
enable = true

[language-server.rust-analyzer.config.procMacro.ignored]
async-trait = ["async_trait"]
mockall = ["automock"]
mockall_double = ["double"]
automock = ["automock"]
double = ["double"]
leptos_macro = ["server", "component"]

[[language]]
name = "graphql"
scope = "source.graphql"
injection-regex = "graphql"
file-types = ["graphql", "gql"]
auto-format = true
comment-token = "//"
language-servers = [ "graphql-language-service" ]
indent = {tab-width = 2, unit = "  "}
formatter = { command = "prettier", args = ["--parser=graphql"]}

[language-server.graphql-language-service]
command = "graphql-lsp"
args = ["server", "-m", "stream"]

[[language]]
name = "toml"
formatter = { command = "taplo", args = ["fmt", "-"] }
auto-format = true

[[grammar]]
name = "graphql"
source = {git = "https://github.com/bkegley/tree-sitter-graphql", rev = "5e66e961eee421786bdda8495ed1db045e06b5fe"}

[[language]]
name = "typescript"
scope = "source.ts"
injection-regex = "(ts|typescript)"
file-types = ["ts", "mts", "cts"]
language-id = "typescript"
shebangs = ["deno", "ts-node"]
language-servers = [ "typescript-language-server" ]
indent = { tab-width = 2, unit = "  " }
formatter = { command = 'prettier', args = ["--parser", "typescript"] }
auto-format = true

[language.debugger]
command = "codelldb"
name = "codelldb"
port-arg = "--port {}"
transport = "tcp"

[[language.debugger.templates]]
name = "binary"
request = "launch"
[[language.debugger.templates.completion]]
completion = "filename"
name = "binary"

[language.debugger.templates.args]
program = "{0}"
runInTerminal = true
